Skip to main content
GET
/
v2
/
api
Get ERC1155 Token Transfers by Address
curl --request GET \
  --url https://api.etherscan.io/v2/api
{
  "status": "1",
  "message": "OK",
  "result": [
    {
      "blockNumber": "13472395",
      "timeStamp": "1634973285",
      "hash": "0x643b15f3ffaad5d38e33e5872b4ebaa7a643eda8b50ffd5331f682934ee65d4d",
      "nonce": "41",
      "blockHash": "0xa5da536dfbe8125eb146114e2ee0d0bdef2b20483aacbf30fed6b60f092059e6",
      "transactionIndex": "100",
      "gas": "140000",
      "gasPrice": "52898577246",
      "gasUsed": "105030",
      "cumulativeGasUsed": "11739203",
      "input": "deprecated",
      "methodId": "0x3e6b214b",
      "functionName": "",
      "contractAddress": "0x76be3b62873462d2142405439777e971754e8e77",
      "from": "0x1e63326a84d2fa207bdfa856da9278a93deba418",
      "to": "0x83f564d180b58ad9a02a449105568189ee7de8cb",
      "tokenID": "10371",
      "tokenValue": "1",
      "tokenName": "parallel",
      "tokenSymbol": "LL",
      "confirmations": "9995266"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.etherscan.io/llms.txt

Use this file to discover all available pages before exploring further.

Effective July 1, 2026, the maximum records returned per request will be reduced from 10,000 to 1,000 for Free tier API users. See the full list of affected endpoints.

Query Parameters

apikey
string
default:"YourApiKeyToken"
Your Etherscan API key.
chainid
string
default:"1"
Chain ID to query, eg 1 for Ethereum, 8453 for Base from our supported chains.
module
string
default:"account"
Set to account for this endpoint.
action
string
default:"token1155tx"
Set to token1155tx for this endpoint.
contractaddress
string
default:"0x76be3b62873462d2142405439777e971754e8e77"
The ERC1155 token contract address to filter transfers by, eg 0x495f947276749ce646f68ac8c248420045cb7b5e for Opensea Shared Storefront.
address
string
default:"0x83f564d180b58ad9a02a449105568189ee7de8cb"
The address to query, like 0xfefefefefefefefefefefefefefefefefefefefe
page
integer
default:"1"
Page number for pagination.
offset
integer
default:"100"
Number of records per page. Use the page parameter for subsequent records.
startblock
integer
default:"0"
Starting block number to search from.
endblock
integer
default:"999999999"
Ending block number to search to.
sort
string
default:"asc"
Sort order either desc for the latest transactions first or asc for the oldest transactions first.
{
  "status": "1",
  "message": "OK",
  "result": [
    {
      "blockNumber": "13472395",
      "timeStamp": "1634973285",
      "hash": "0x643b15f3ffaad5d38e33e5872b4ebaa7a643eda8b50ffd5331f682934ee65d4d",
      "nonce": "41",
      "blockHash": "0xa5da536dfbe8125eb146114e2ee0d0bdef2b20483aacbf30fed6b60f092059e6",
      "transactionIndex": "100",
      "gas": "140000",
      "gasPrice": "52898577246",
      "gasUsed": "105030",
      "cumulativeGasUsed": "11739203",
      "input": "deprecated",
      "methodId": "0x3e6b214b",
      "functionName": "",
      "contractAddress": "0x76be3b62873462d2142405439777e971754e8e77",
      "from": "0x1e63326a84d2fa207bdfa856da9278a93deba418",
      "to": "0x83f564d180b58ad9a02a449105568189ee7de8cb",
      "tokenID": "10371",
      "tokenValue": "1",
      "tokenName": "parallel",
      "tokenSymbol": "LL",
      "confirmations": "9995266"
    }
  ]
}